<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Quoting</title>
    <link rel="stylesheet" href="./assets/vendor/bootstrap/bootstrap.min.css">
    <link rel="stylesheet" href="./assets/fonts/fonts.css">
    <link rel="stylesheet" href="./assets/css/style.css">
</head>

<body>
    <div class="main-page">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <div class="title-container inner-container">
                        <h2>Lorem Ipsum is simply dummy text of the printing and typesetting industry.</h2>
                    </div>
                </div>
                <div class="col-md-12">
                    <form class="form-container-small" id="startForm" action="">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="mb-3">
                                    <label class="form-label">Full name</label>
                                    <input type="text" name="name" required class="form-control"
                                        placeholder="Full name">
                                </div>
                                <div class="mb-3">
                                    <label class="form-label">Email address</label>
                                    <input type="email" name="email" required class="form-control"
                                        placeholder="Email address">
                                </div>
                                <div class="mb-3">
                                    <label class="form-label">Phone number</label>
                                    <input type="text" name="phone" required class="form-control"
                                        placeholder="">
                                    <div class="input-info-text">A 4 digit OTP will be sent via SMS to verify your
                                        mobile number </div>
                                </div>
                                <!-- onclick="location.href = '/otp-verify.html';" -->
                                <div class="mb-5 text-center">
                                    <button onclick="location.href = '/otp-verify.html';" type="button" class="btn btn-primary">Let's Start</button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
                <div class="col-md-12">
                    <div class="information-container inner-container">
                        <div class="icon">
                            <img src="./assets/img/icons/info.svg" alt="">
                        </div>
                        <div class="info">
                            Please allow 10-15 minutes to complete this online form. If real life calls, click on the
                            "continue later" button to save your progress and receive an email link to resume later.
                            Please ensure you also check your junk mail folders if this hasn't arrived in your normal
                            inbox.
                        </div>
                    </div>
                </div>
                <div class="col-md-12">
                    <div class="inner-container">
                        <div class="row gx-3 gy-3 justify-content-center">
                            <div class="col-lg-4 col-md-6">
                                <a href="./request-in-person.html" class="btn btn-outline-primary btn-with-icon w-100">
                                    <span class="icon">
                                        <img src="./assets/img/icons/chat.svg" alt="">
                                    </span>
                                    <span class="btn-name">
                                        Request In Person Meeting
                                    </span>
                                </a>
                            </div>
                            <div class="col-lg-4 col-md-6">
                                <a href="./request-call-back.html" class="btn btn-outline-primary btn-with-icon w-100">
                                    <span class="icon">
                                        <img src="./assets/img/icons/call.svg" alt="">
                                    </span>
                                    <span class="btn-name">
                                        Request A Call Back
                                    </span>
                                </a>
                            </div>
                            <div class="col-lg-4 col-md-6">
                                <a href="" class="btn btn-outline-primary btn-with-icon w-100">
                                    <span class="icon">
                                        <img src="./assets/img/icons/call.svg" alt="">
                                    </span>
                                    <span class="btn-name">
                                        Call Sales Team
                                    </span>
                                </a>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
    <script src="./assets/vendor/bootstrap/bootstrap.bundle.min.js"></script>
    <script src="./assets/vendor/jquery/jquery.min.js"></script>
    <script src="./assets/vendor/jquery/jquery.validate.min.js"></script>
     <script src="./assets/vendor/datepicker/datedropper-jquery.js"></script>
    <script src="./assets/js/custom.js"></script>
    <script>
        $(document).ready(function ($) {
            jQuery.validator.addMethod("phone_regex", function (value, element) {
                return this.optional(element) || /[0-9\-\(\)\s]+$/i.test(value);
            }, "Phone Number with only 0-9. Minlength: 10");
            $("#startForm").validate({
                rules: {
                    name: "required",
                    email: {
                        required: true,
                    },
                    phone: {
                        required: true,
                        phone_regex: true,
                        minlength: 10,
                        maxlength: 13
                    },

                },
                messages: {
                    name: "Please enter your Name",
                    email: "Please enter your Email",
                    password: {
                        required: "Please provide a password",
                        minlength: "Your password must be at least 6 characters long"
                    },
                },
                errorPlacement: function (error, element) {

                    if (element.is(":radio")) {
                        error.appendTo(element.parents('.form-group'));
                    }
                    else { // This is the default behavior 
                        error.insertAfter(element);
                    }
                },
                submitHandler: function (form) {
                    form.submit();
                }

            });
        });
    </script>
</body>

</html>